C# Class Revit.SDK.Samples.Selections.CS.PlaceAtPointOnWallFace

Inheritance: Autodesk.Revit.UI.IExternalCommand
Show file Open project: AMEE/revit

Public Methods

Method Description
Execute ( Autodesk commandData, string &message, ElementSet elements ) : System.Result

Implement this method as an external command for Revit.

Protected Methods

Method Description
PickPointOnWallFace ( ) : Autodesk.Revit.DB.Reference

Pick a point on wall face.

PlaceWindowAtReference ( Autodesk.Revit.DB.Reference eRef ) : void

// Place the 36" x 48" window at the reference.

Private Methods

Method Description
FindFamilySymbol ( string symbolName ) : FamilySymbol

Finding a Family Symbol with symbol name.

Method Details

Execute() public method

Implement this method as an external command for Revit.
public Execute ( Autodesk commandData, string &message, ElementSet elements ) : System.Result
commandData Autodesk An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view.
message string A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command.
elements ElementSet A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation.
return System.Result

PickPointOnWallFace() protected method

Pick a point on wall face.
protected PickPointOnWallFace ( ) : Autodesk.Revit.DB.Reference
return Autodesk.Revit.DB.Reference

PlaceWindowAtReference() protected method

// Place the 36" x 48" window at the reference.
protected PlaceWindowAtReference ( Autodesk.Revit.DB.Reference eRef ) : void
eRef Autodesk.Revit.DB.Reference The point reference picked from wall face.
return void